Community Forum

iPhone imei no longer compatible

Highlighted
New Poster

iPhone imei no longer compatible

I recently upgraded one of my lines from an iPhone 8 plus to an iphone 11. When I tried to add another line with the iPhone 8 plus the next day the system says the imei is not compatible. I took it to the Xfinity store and they couldn't figure it out. Doesn't make any sense.
Highlighted
Official Employee

Re: iPhone imei no longer compatible

@Bwat1958 

Thank you for posting to forums.  I apologize for any confusion that has been caused from your experience. 

 

Device compatibility depends on the wireless carrier that a device was purchased from and can only be determined by checking the device’s IMEI number.  Different versions of the same model can have different compatibility details.

 

It would be my pleasure to look into this further for you.

Please reach out to me via private message.  Click on my name ComcastJaredB and from the profile page click on the blue ‘send a message’ button.  In your private reply please include the following information so that I may authenticate and access the account;

 

First and last name, mobile number, complete service address, and the last 4 digits of the pay method on file.  Also, if you could please include the IMEI and model number of the device you would like to bring over that would be greatly appreciated.  Please keep in mind that a device model number ending in U1 is not compatible with Xfinity Mobile.

 

Thank you for your time and patience,

Jared


I am an Official Comcast Employee.
Official Employees are from multiple teams within Comcast: CARE, Product, Leadership. We ask that you post publicly so people with similar questions may benefit from the conversation.
Was your question answered? Mark the post as Best Answer!
Highlighted
Frequent Visitor

Re: iPhone imei no longer compatible

I am having a similar problem with an LG I purchased directly from xfinity mobile. I upgraded to a new iPhone and an now no longer can use my old phone on xfinitys network. I wanted to activate it with a new line, but it is no longer compatible. I have also reached out to Jared for this.